Subject: ju'i nuzba dunda

From: Pierre Abbat <[email-masked]>
Date: Tue, 28 Aug 2001 15:38:30 -0400

There wasn't a single new on nuzban since the Nepali regicide, which was in 
early June, until the synagogue defacement which I just submitted. Anyone 
else want to contribute some news? The site is http://nuzban.wiw.org/.

phma